using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class RestartPanel : BasePanel
{
    public override void OnHide(object data = null)
    {
    }

    public override void OnInit(object data = null)
    {
        GetControl<Button>("BtnRestart").onClick.AddListener(()=> {

            GameController.GetInstance().ResetGame();
            UIMgr.GetInstance().HidePanel(this);
        });
    }

    public override void OnRefresh(object data = null)
    {
        
    }

    
}
